Get proxies
-
GET
/platform/infrastructure/proxies
Auth
Retrieves an overview of all proxies.
An overview of all proxies.
application/json
-
proxies_count
integer · format: int32
required
-
Number of proxies
-
settings
object
required
-
This object is deprecated and scheduled to be removed in the next major version.
-
-
expected_proxies_count
integer · format: int32
required
-
Expected number of proxies
-
signature_secret
string
required
-
Secret string for signature generation
-
signature_valid_for_millis
integer · format: int64
required
-
Signature validity in milliseconds
-
http_settings
object
required
-
This object is deprecated and scheduled to be removed in the next major version.
-
-
disconnected_cutoff
integer · format: int64
required
-
Cutoff interval after disconnection in milliseconds
-
minimum_proxy_services
integer · format: int32
required
-
Minimum number of proxy instances
-
sso_settings
object
required
-
This object is deprecated and scheduled to be removed in the next major version.
-
-
max_age
integer · format: int64
required
-
Maximum age of single-sign-on token in milliseconds
-
sso_secret
string
required
-
Secret string for single-sign-on
-
cookie_name
string
required
-
Name of the HTTP cookie used for single-sign-on
-
dont_log_requests
boolean
required
-
If true, don't log requests
-
default_redirect_path
string
required
-
Default path where users are redirected after a successful single-sign-on
-
maintenance_bypass_cookie_name
string
required
-
Name of the cookie that bypasses maintenance
-
dashboards_base_url
string
required
-
Base URL for the dashboard
-
cookie_secret
string
required
-
Secret string for the HTTP cookie
-
user_cookie_key
string
required
-
User key for the HTTP cookie
-
proxies
object[]
required
-
Proxies
-
-
proxy_id
string
required
-
The proxy identifier
-
runner_id
string
-
Identifier of the runner for the proxy
-
host_ip
string
required
-
IP of the host the proxy runs on
-
public_hostname
string
required
-
Public hostname of the host the proxy runs on
-
metadata
object
required
-
Arbitrary metadata associated with the proxy
-
healthy
boolean
required
-
Specifies if the proxy is healthy
-
allocations
object[]
required
-
Allocation information by type.
-
-
allocations_type
enum
required
-
The type of proxy allocations
-
Values:
elasticsearch
kibana
apm
integrations_server
appsearch
enterprise_search
-
counts
object
required
-
The number of proxy allocations.
-
-
allocations
integer · format: int32
required
-
The allocations count.
-
connectors
integer · format: int32
required
-
The connector count.
Thank you for your feedback.